# Interface OfflineLayerMetadata

#### Hierarchy

- OfflineLayerMetadata

- Defined in src/offline/index.js:29

#####
Index

### Properties

ancestors
backgroundLayer
extentByZoom
layer
layerSerialization
layerType
map
source

## Properties

### ancestors

ancestors: LayerGroup[]

- Defined in src/offline/index.js:37

### backgroundLayer

backgroundLayer: boolean

- Defined in src/offline/index.js:36

### extentByZoom

extentByZoom: OfflineExtentByZoom[]

- Defined in src/offline/index.js:31

### layer

layer: Layer<unknown, LayerRenderer<any>>

- Defined in src/offline/index.js:32

### layerSerialization

layerSerialization: string

- Defined in src/offline/index.js:35

### layerType

layerType: string

- Defined in src/offline/index.js:34

### map

map: Map

- Defined in src/offline/index.js:30

### source

source: Source

- Defined in src/offline/index.js:33

Generated using TypeDoc